Index: WAeUP_SRP/trunk/WAeUPTool.py
===================================================================
--- WAeUP_SRP/trunk/WAeUPTool.py	(revision 1159)
+++ WAeUP_SRP/trunk/WAeUPTool.py	(revision 1160)
@@ -75,5 +75,5 @@
         return None
     ###)
-    
+
     security.declarePublic('findStudentByMatricelNo') ###(
     def findStudentByMatricelNo(self,matric_no):
@@ -103,5 +103,5 @@
         self.manage_setLocalRoles(sid, ['Owner',])
     ###)
-        
+
     security.declarePublic('makeStudentData') ###(
     def makeStudentData(self,student_id,email=None,phone_nr=None):
@@ -115,5 +115,5 @@
         res = self.returning_import(matric_no = st.matric_no)
         if res:
-            student = res[0] 
+            student = res[0]
         logger.info('"%s", "creating Datastructure"' % student_id)
         certcode_org = student.Coursemajorcode
@@ -134,5 +134,5 @@
         student_obj.invokeFactory('StudentApplication','application')
         application = student_obj.application
-        self.portal_workflow.doActionFor(application,'open',dest_container=application)
+        self.portal_workflow.doActionFor(application,'close',dest_container=application)
         da = {'Title': 'Application Data'}
         student_obj.invokeFactory('StudentPersonal','personal')
@@ -144,5 +144,5 @@
         student_obj.invokeFactory('StudentClearance','clearance')
         clearance = student_obj.clearance
-        self.portal_workflow.doActionFor(clearance,'open',dest_container=clearance)
+        self.portal_workflow.doActionFor(clearance,'close',dest_container=clearance)
         dc = {'Title': 'Clearance/Eligibility Record'}
         dc['matric_no'] = matric_no
@@ -196,5 +196,5 @@
 ##            self.portal_workflow.doActionFor(l,'open',dest_container=l)
 ##            l.getContent().edit(mapping={'Title': "Level %s" % level})
-        
+
     security.declarePublic('getAccommodationInfo') ###(
     def getAccommodationInfo(self,bed):
@@ -228,5 +228,5 @@
         pm = self.portal_membership
         member = pm.getAuthenticatedMember()
-        
+
         if str(member) not in ("henrik","joachim"):
             return "not possible"
@@ -235,5 +235,5 @@
         if len(res) < 1:
             return "No Departments found"
-        
+
         deleted = []
         for dep in res:
@@ -243,6 +243,6 @@
                 deleted.append("deleted Courses in %s" % dep.getId)
         return "\r".join(deleted)
-    ###)    
-    
+    ###)
+
 
 InitializeClass(WAeUPTool)
Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1159)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1160)
@@ -170,9 +170,9 @@
    <permission>View</permission>
   </action>
-  <action title="View Session Results" action_id="display_session_results"
+  <action title="View Sess. Results" action_id="display_session_results"
      category="student" condition_expr="not:member"
      url_expr="string:${portal_url}/display_session_results" visible="True">
    <permission>View</permission>
-  </action>  
+  </action>
   <action title="My Accommodation" action_id="reserve_accommodation"
      category="student_navigation" condition_expr="member"
Index: WAeUP_SRP/trunk/skins/waeup_student/createReturningStudent.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/createReturningStudent.py	(revision 1160)
+++ WAeUP_SRP/trunk/skins/waeup_student/createReturningStudent.py	(revision 1160)
@@ -0,0 +1,47 @@
+## Script (Python) "createReturningStudent"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=matric_no=None
+##title=
+##
+# $Id: createStudentFT.py 1151 2006-12-29 22:05:53Z joachim $
+''' create the Studenbase folder'''
+
+
+pm = context.portal_membership
+member = pm.getAuthenticatedMember()
+wftool = context.portal_workflow
+students_folder = context.portal_url.getPortalObject().campus.students
+import logging
+logger = logging.getLogger('createReturningStudent')
+
+#if str(member) not in ("admin","joachim"):
+#    return "not possible"
+if not matric_no:
+    return "No MatricNo"
+
+if context.students_catalog(matric_no=matric_no):
+    return "Student with %s already exists" % matric_no
+res = context.returning_import(matric_no = matric_no)
+if len(res) != 1:
+    return "MatricNo %s not found in Returning Table" % matric_no
+student_brain = res[0]
+sid = context.waeup_tool.generateStudentId(student_brain.Firstname[0])
+students_folder.invokeFactory('Student', sid)
+logger.info('"%s","Created Student","%s", "%s" ' % (member,sid,matric_no))
+student = getattr(students_folder,sid)
+wftool.doActionFor(student,'clear_and_validate')
+student.manage_setLocalRoles(sid, ['Owner',])
+context.students_catalog.addRecord(id = sid,
+                                   matric_no = matric_no,
+                                   jamb_reg_no = student_brain.Entryregno,
+                                   sex = student_brain.Sex == "F",
+                                   name = "%s %s %s" % (student_brain.Firstname,
+                                                        student_brain.Middlename,
+                                                        student_brain.Lastname)
+                                )
+return "Student MatricNo %s and %s created" % (matric_no,sid)
+
Index: WAeUP_SRP/trunk/skins/waeup_student/createStudentFT.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/createStudentFT.py	(revision 1159)
+++ 	(revision )
@@ -1,49 +1,0 @@
-## Script (Python) "deleteAllCourses"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=matric_no=None
-##title=
-##
-# $Id$
-''' create the Studenbase folder'''
-
-
-pm = context.portal_membership
-member = pm.getAuthenticatedMember()
-wftool = context.portal_workflow
-students_folder = context.portal_url.getPortalObject().campus.students
-import logging
-logger = logging.getLogger('createStudentFT')
-
-if str(member) not in ("henrik","joachim"):
-    return "not possible"
-if not matric_no:
-    return "No matric_no"
-
-if context.students_catalog(matric_no=matric_no):
-    return "Student with %s already exists" % matric_no
-res = context.returning_import(matric_no = matric_no)
-if len(res) != 1:
-    return "Matricel No %s not found in Returning Table" % matric_no
-student_brain = res[0]
-sid = context.waeup_tool.generateStudentId(student_brain.Lastname[0])
-students_folder.invokeFactory('Student', sid)
-logger.info('"%s","Created Student","%s", "%s" ' % (member,sid,matric_no))
-student = getattr(students_folder,sid)
-wftool.doActionFor(student,'clear_and_validate')
-student.manage_setLocalRoles(sid, ['Owner',])
-context.students_catalog.addRecord(id = sid,
-                                   matric_no = matric_no,
-                                   jamb_reg_no = student_brain.Entryregno,
-                                   sex = student_brain.Sex == "F",
-                                   name = "%s %s %s" % (student_brain.Firstname,
-                                                        student_brain.Middlename,
-                                                        student_brain.Lastname)
-                                )
-return "Student MatricelNo %s and %s Jamb %s created" % (matric_no,
-                                                         sid,
-                                                         student_brain.Entryregno)
-    
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_search_session_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_search_session_edit.pt	(revision 1159)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_search_session_edit.pt	(revision 1160)
@@ -71,5 +71,5 @@
   <br />
   <input type="submit" class="standalone" name="cpsdocument_edit_button"
-         value="Save" 
+         value="Save and Login (not yet working)" 
          id="cpsdocument_edit_button"
          tal:condition="not:creation" />
Index: WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt	(revision 1159)
+++ WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt	(revision 1160)
@@ -52,5 +52,8 @@
         </span>
       </table>
-      <a href="" tal:attributes="href string:${context/absolute_url}/set_access_data?matric_no=${student/matric_no}">Continue to Email-entry</a>
+      <br />
+      <a href="" tal:attributes="href string:${context/absolute_url}/set_access_data?matric_no=${student/matric_no}">
+        Continue to Login! 
+      </a>
     </metal:main>
   </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_student/set_access_data_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/set_access_data_form.pt	(revision 1159)
+++ WAeUP_SRP/trunk/skins/waeup_student/set_access_data_form.pt	(revision 1160)
@@ -13,5 +13,5 @@
       </metal:block>
       <metal:block fill-slot="main">
-        <h3>Enter Your Email Address and Choose a Password</h3>
+        <h3>Enter Your Email Address and Choose a Password!</h3>
         <br />
         <div tal:replace="structure rendered_main" />