Index: /WAeUP_SRP/trunk/skins/waeup_default/campus_anonymous_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/campus_anonymous_view.pt	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_default/campus_anonymous_view.pt	(revision 1161)
@@ -1,3 +1,3 @@
-<metal:html tal:define="info context/getStudentInfo">
+<metal:html>
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
Index: /WAeUP_SRP/trunk/skins/waeup_default/campus_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/campus_view.pt	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_default/campus_view.pt	(revision 1161)
@@ -1,3 +1,3 @@
-<metal:html tal:define="info context/getStudentInfo">
+<metal:html>
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
Index: /WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt	(revision 1161)
@@ -1,3 +1,3 @@
-<metal:html tal:define="info context/getStudentInfo">
+<metal:html>
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
Index: /WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 1161)
@@ -1,4 +1,5 @@
 <metal:html tal:define="info context/getDocumentInfo;
-                        s_info context/getStudentInfo;
+                        s_id context/getStudentId;
+                        s_name context/getStudentName
                         is_so context/isSectionOfficer;"
             >
@@ -11,6 +12,6 @@
       </a>
       <h3> 
-         <span tal:condition="python:is_so and s_info">
-           <span tal:content="s_info/student/Title" />:
+         <span tal:condition="python:is_so and s_id">
+           <span tal:content="s_name" />:
          </span>
          <span tal:content="here/title_or_id" />
Index: /WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 1161)
@@ -1,3 +1,3 @@
-<metal:html tal:define="info context/getStudentInfo">
+<metal:html tal:define="info context/getAccommodationInfo">
   <span tal:condition="not: info">
     <span tal:content="here/illegal_view" />
Index: /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view.pt	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view.pt	(revision 1161)
@@ -1,3 +1,3 @@
-<metal:html tal:define="info context/getStudentInfo">
+<metal:html tal:define="info context/getAccommodationInfo">
   <span tal:condition="not: info">
     <span tal:content="here/illegal_view" />
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 1161)
@@ -1,3 +1,3 @@
-<metal:html tal:define="info context/getStudentInfo">
+<metal:html tal:define="info context/getApplicationInfo">
   <span tal:condition="not: info">
     <span tal:content="here/illegal_view" />
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 1161)
@@ -1,3 +1,3 @@
-<metal:html tal:define="info context/getStudentInfo">
+<metal:html tal:define="info context/getApplicationInfo">
   <span tal:condition="not: info">
     <span tal:content="here/illegal_view" />
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt	(revision 1161)
@@ -1,3 +1,3 @@
-<metal:html tal:define="info context/getStudentInfo;
+<metal:html tal:define="info context/getClearanceInfo;
                         is_so context/isSectionOfficer;
                         is_student context/isStudent;
Index: /WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 1161)
@@ -1,4 +1,4 @@
 <metal:html tal:define="member python:context.portal_membership.getAuthenticatedMember();
-                        info context/getStudentInfo;
+                        info context/getApplicationInfo;
                         ">
   <span tal:condition="not: info">
Index: /WAeUP_SRP/trunk/skins/waeup_student/getAccommodationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getAccommodationInfo.py	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getAccommodationInfo.py	(revision 1161)
@@ -1,3 +1,3 @@
-## Script (Python) "getStudentInfo"
+## Script (Python) "getAccommodationInfo"
 ##bind container=container
 ##bind context=context
@@ -79,9 +79,9 @@
 elif s_brain.course in pti_certificates:
     bt += "_pti"
-    
+
 d['bt'] = bt
 #from Products.zdb import set_trace
 #set_trace()
-student_status = "%(sex)s_%(bt)s" % d 
+student_status = "%(sex)s_%(bt)s" % d
 info['student_status'] = student_status
 return info
Index: /WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py	(revision 1161)
@@ -1,3 +1,3 @@
-## Script (Python) "getStudentInfo"
+## Script (Python) "getApplicationInfo"
 ##bind container=container
 ##bind context=context
@@ -29,5 +29,5 @@
 if requested_id and not context.isStaff() and member_id != requested_id:
     logger.info('"%s", "accessed application object of", "%s"' % (member_id,requested_id))
-    student_id = requested_id 
+    student_id = requested_id
 elif context.isStaff():
     student_id = requested_id
Index: /WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py	(revision 1161)
@@ -1,3 +1,3 @@
-## Script (Python) "getStudentInfo"
+## Script (Python) "getClearanceInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentName.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentName.py	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentName.py	(revision 1161)
@@ -1,3 +1,3 @@
-## Script (Python) "getStudentInfo"
+## Script (Python) "getStudentName"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentReviewState.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentReviewState.py	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentReviewState.py	(revision 1161)
@@ -1,3 +1,3 @@
-## Script (Python) "getStudentInfo"
+## Script (Python) "getStudentReviewState"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py	(revision 1161)
@@ -1,3 +1,3 @@
-## Script (Python) "getStudentInfo"
+## Script (Python) "getStudentWorkflowInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_student/objection_raised_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/objection_raised_form.pt	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/objection_raised_form.pt	(revision 1161)
@@ -1,3 +1,3 @@
-<metal:html tal:define="info options/info|context/getStudentInfo;
+<metal:html tal:define="info options/info|context/getApplicationInfo;
                         review_state info/review_state">
   <span tal:condition="not: info">
Index: /WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py	(revision 1161)
@@ -17,5 +17,5 @@
 
 wf = context.portal_workflow
-info = context.getStudentInfo()
+info = context.getApplicationInfo()
 if not info:
     logger.info('"%s", "tried to access", "%s"' % (context.portal_membership.getAuthenticatedMember(),context.getStudentId()))
Index: /WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 1161)
@@ -38,5 +38,4 @@
 button = "Book"
 if mode == 'edit':
-    info = context.getStudentInfo()
     d['acco_res_date'] = info['acco_doc'].acco_res_date
     d['acco_res_sc_pin'] = info['acco_doc'].acco_res_sc_pin
Index: /WAeUP_SRP/trunk/skins/waeup_student/support_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/support_form.pt	(revision 1160)
+++ /WAeUP_SRP/trunk/skins/waeup_student/support_form.pt	(revision 1161)
@@ -1,3 +1,3 @@
-<metal:html tal:define="info context/getStudentInfo;">
+<metal:html tal:define="info context/getApplicationInfo;">
   <span tal:condition="not: info">
     <span tal:content="here/illegal_view" />