Index: WAeUP_SRP/trunk/WAeUPTables.py
===================================================================
--- WAeUP_SRP/trunk/WAeUPTables.py	(revision 1161)
+++ WAeUP_SRP/trunk/WAeUPTables.py	(revision 1162)
@@ -139,5 +139,5 @@
         #import pdb;pdb.set_trace()
         if len(records) == 0:
-            return -1,"No bed of this type available"
+            return -1,"No bed of this type available!"
         rec = records[0]
         self.modifyRecord(bed=rec.bed,student=student_id)
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 1161)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 1162)
@@ -1,5 +1,4 @@
 <metal:html tal:define="info context/getDocumentInfo;
-                        s_id context/getStudentId;
-                        s_name context/getStudentName
+                        s_name context/getStudentName;
                         is_so context/isSectionOfficer;"
             >
@@ -12,5 +11,5 @@
       </a>
       <h3> 
-         <span tal:condition="python:is_so and s_id">
+         <span tal:condition="python:is_so and s_name">
            <span tal:content="s_name" />:
          </span>
Index: WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 1161)
+++ WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 1162)
@@ -1,21 +1,20 @@
-<metal:html tal:define="info context/getAccommodationInfo">
-  <span tal:condition="not: info">
-    <span tal:content="here/illegal_view" />
-  </span>
-<metal:block tal:condition="info"> 
+<metal:html tal:define="info_acco context/getAccommodationInfo;
+                        info_app  context/getApplicationInfo">
+
+<span tal:condition="not: info_acco">
+  <span tal:content="here/illegal_view" />
+</span>
+<metal:block tal:condition="info_acco"> 
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
-      <span tal:condition="not: info">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
-      </span>
       <h3>Hostel Allocation Slip (and Maintenance Receipt)</h3>
       <br />
       <span tal:omit-tag=""
-            tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+            tal:content="structure python: info_app['app_doc'].render(proxy=info_app['app_doc'],
             layout_mode='view_info', 
             layout_id='student_application_fe')" 
             />
       <span tal:omit-tag=""
-            tal:content="structure python: info['acco_doc'].render(proxy=info['acco_doc'],
+            tal:content="structure python: info_acco['acco_doc'].render(proxy=info_acco['acco_doc'],
             layout_mode='view_slip', 
             layout_id='student_accommodation_fe')" 
Index: WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py	(revision 1161)
+++ WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py	(revision 1162)
@@ -53,5 +53,5 @@
 info['clear_doc'] = student.clearance.getContent()
 info['clear_review_state'] = wf.getInfoFor(student.clearance,'review_state',None)
-if info['clear_review_state'] in ('clearance_requested', 'cleared_and_validated',):
+if info['review_state'] in ('clearance_requested', 'cleared_and_validated',):
     info['penalty'] = info['penalty'] and\
                       info['clear_doc'].entry_date.greaterThan(DateTime('2006/12/30'))
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentName.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentName.py	(revision 1161)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentName.py	(revision 1162)
@@ -19,6 +19,4 @@
 #from Products.zdb import set_trace
 #set_trace()
-if context.isStaff():
-    return member.getProperty('fullname',None)
 if not context.isStudent():
     return None
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_student_acco_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_student_acco_view_slip.pt	(revision 1161)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_student_acco_view_slip.pt	(revision 1162)
@@ -7,5 +7,4 @@
               fields python:('session',
                                  'bed',
-                                 'student_status',
                                  'acco_res_sc_pin',
                                  'acco_res_date',