Index: WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 1170)
+++ WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 1171)
@@ -97,4 +97,6 @@
         elif s_review_state == "clearance_pin_entered":
             redirect_url = "%s/clearance_edit_form" % student.absolute_url()
+        if s_review_state == "returning":
+            redirect_url = "%s/student_view" % student.absolute_url()
         else:
             redirect_url = "%s/student_index" % student.absolute_url()
Index: WAeUP_SRP/trunk/skins/waeup_student/createReturningStudent.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/createReturningStudent.py	(revision 1170)
+++ WAeUP_SRP/trunk/skins/waeup_student/createReturningStudent.py	(revision 1171)
@@ -21,20 +21,24 @@
 #if str(member) not in ("admin","joachim"):
 #    return "not possible"
-def createOne(student_brain):
-    sid = context.waeup_tool.generateStudentId('?')
-    students_folder.invokeFactory('Student', sid)
-    student = getattr(students_folder,sid)
-    wftool.doActionFor(student,'return')
-    student.manage_setLocalRoles(sid, ['Owner',])
-    jamb_reg_no = student_brain.Entryregno,
-    context.students_catalog.addRecord(id = sid,
-                                       matric_no = matric_no,
-                                       jamb_reg_no = jamb_reg_no,
-                                       sex = student_brain.Sex == "F",
-                                       name = "%s %s %s" % (student_brain.Firstname,
-                                                            student_brain.Middlename,
-                                                            student_brain.Lastname)
-                                    )
-    return sid,jamb_reg_no
+
+
+#defined in WAeUPTool.py
+
+# def createOne(student_brain):
+#     sid = context.waeup_tool.generateStudentId('?')
+#     students_folder.invokeFactory('Student', sid)
+#     student = getattr(students_folder,sid)
+#     wftool.doActionFor(student,'return')
+#     student.manage_setLocalRoles(sid, ['Owner',])
+#     jamb_reg_no = student_brain.Entryregno,
+#     context.students_catalog.addRecord(id = sid,
+#                                        matric_no = matric_no,
+#                                        jamb_reg_no = jamb_reg_no,
+#                                        sex = student_brain.Sex == "F",
+#                                        name = "%s %s %s" % (student_brain.Firstname,
+#                                                             student_brain.Middlename,
+#                                                             student_brain.Lastname)
+#                                     )
+#     return sid,jamb_reg_no
 
 if not matric_no:
Index: WAeUP_SRP/trunk/skins/waeup_student/createStudentFT.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/createStudentFT.py	(revision 1170)
+++ 	(revision )
@@ -1,49 +1,0 @@
-## Script (Python) "deleteAllCourses"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=matric_no=None
-##title=
-##
-# $Id: createStudentFT.py 1158 2006-12-30 16:58:14Z joachim $
-''' create the Studenbase folder'''
-
-
-pm = context.portal_membership
-member = pm.getAuthenticatedMember()
-wftool = context.portal_workflow
-students_folder = context.portal_url.getPortalObject().campus.students
-import logging
-logger = logging.getLogger('createStudentFT')
-
-if str(member) not in ("henrik","joachim"):
-    return "not possible"
-if not matric_no:
-    return "No matric_no"
-
-if context.students_catalog(matric_no=matric_no):
-    return "Student with %s already exists" % matric_no
-res = context.returning_import(matric_no = matric_no)
-if len(res) != 1:
-    return "Matricel No %s not found in Returning Table" % matric_no
-student_brain = res[0]
-sid = context.waeup_tool.generateStudentId(student_brain.Lastname[0])
-students_folder.invokeFactory('Student', sid)
-logger.info('"%s","Created Student","%s", "%s" ' % (member,sid,matric_no))
-student = getattr(students_folder,sid)
-wftool.doActionFor(student,'clear_and_validate')
-student.manage_setLocalRoles(sid, ['Owner',])
-context.students_catalog.addRecord(id = sid,
-                                   matric_no = matric_no,
-                                   jamb_reg_no = student_brain.Entryregno,
-                                   sex = student_brain.Sex == "F",
-                                   name = "%s %s %s" % (student_brain.Firstname,
-                                                        student_brain.Middlename,
-                                                        student_brain.Lastname)
-                                )
-return "Student MatricelNo %s and %s Jamb %s created" % (matric_no,
-                                                         sid,
-                                                         student_brain.Entryregno)
-    
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 1170)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 1171)
@@ -68,15 +68,15 @@
 info['url'] = student.absolute_url()
 info['student_doc'] = student.getContent()
-info['app'] = student.application
-info['app_doc'] = student.application.getContent()
-info['per'] = getattr(student,'personal',None)
-info['sex'] = 'male'
-if info['per'] is not None:
-    info['per_doc'] = student.personal.getContent()
-    if info['per_doc'].sex:
-        info['sex'] = 'female'
-else:
-    if info['app_doc'].jamb_sex == "F":
-        info['sex'] = 'female'
+#info['app'] = student.application
+#info['app_doc'] = student.application.getContent()
+#info['per'] = getattr(student,'personal',None)
+#info['sex'] = 'male'
+#if info['per'] is not None:
+#    info['per_doc'] = student.personal.getContent()
+#    if info['per_doc'].sex:
+#        info['sex'] = 'female'
+#else:
+#    if info['app_doc'].jamb_sex == "F":
+#        info['sex'] = 'female'
 course = getattr(student,'study_course',None)
 if course:
Index: WAeUP_SRP/trunk/skins/waeup_student/personal_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/personal_view.pt	(revision 1170)
+++ WAeUP_SRP/trunk/skins/waeup_student/personal_view.pt	(revision 1171)
@@ -16,5 +16,5 @@
         <br />
         <span tal:omit-tag=""
-              tal:content="structure python: info['app_doc'].render(proxy=info['per_doc'],
+              tal:content="structure python: info['per_doc'].render(proxy=info['per_doc'],
               layout_mode='view', 
               layout_id='student_personal_fe')" 
Index: WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 1170)
+++ WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 1171)
@@ -26,5 +26,5 @@
 session = acco_id[-4:]
 mode = 'create'
-if info['review_state'] != 'cleared_and_validated':
+if not info['review_state'] in ('cleared_and_validated',):
     return context.REQUEST.RESPONSE.redirect("%s/no_booking_allowed" % info['student'].absolute_url())
 validate = REQUEST.has_key("cpsdocument_create_button")
Index: WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1170)
+++ WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1171)
@@ -69,5 +69,6 @@
                   <span tal:replace="student/name" />
                 </td>    
-                <td><span tal:replace="student/jamb_reg_no" /></td>    
+                <td><span tal:replace="student/matric_no" /></td>   
+                <td><span tal:replace="student/jamb_reg_no" /></td>
                 <td tal:condition="options/co_view|nothing">
                        <a href="id" 
Index: WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt	(revision 1171)
+++ WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt	(revision 1171)
@@ -0,0 +1,76 @@
+<metal:html>
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <div tal:condition="nothing" style="text-align: right">
+        <a href="" target="slip" tal:attributes="href string:session_results_anon_slip?nr=${student/matric_no}"
+           onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+          <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+          Session Result Slip
+        </a>
+      </div>
+      <h3>Session Results of <span tal:content="student/Firstname" />
+        <span tal:content="student/Middlename" />
+        <span tal:content="student/Lastname" />
+      </h3>
+      <br />
+      <table>
+        <tr>
+          <td width="180px"><span class="dlabel">Student ID</span>:
+          </td>
+          <td> 
+            <span tal:replace="python:here.aq_parent.aq_parent.id" />
+          </td>      
+        </tr>      
+     
+        <tr>
+          <th width="150px">Matriculation Number:</th><td tal:content="student/matric_no" />                     
+        </tr>
+        <tr>
+          <th>Sex:</th><td tal:content="student/Sex" />                     
+        </tr>
+        <tr>
+          <th>Course of Study:</th><td tal:content="student/Coursemajor" />                     
+        </tr>
+        <tr>
+          <th>Level:</th><td tal:content="student/Level" />                     
+        </tr>
+      </table>
+        
+       <table>
+          <tr>
+            <th width="150px">Verdict:</th><td tal:content="python:results[0][0]['Verdict']" /> 
+          </tr>
+          <tr>  
+            <th>Session:</th><td tal:content="python:results[0][0]['Session']" /> 
+          </tr>        
+       </table>
+
+       <br />
+                     
+       <table>
+         <span tal:repeat="semester results">
+            <span tal:repeat="result semester">
+             <tr tal:condition="repeat/result/start">
+              <th colspan="5">
+                <span tal:replace="python: test(repeat['semester'].index,'Second','First')" /> Semester
+              </th>
+             </tr>
+            <tr>     
+            <td width="80px" tal:content="result/CosCode" />
+            <td tal:content="result/title" />
+            <td width="50px" align="center" tal:content="result/GRADE" />
+          </tr>
+        </span>
+        </span>
+      </table>
+      <br />
+      <form action="" method="post"
+            tal:attributes="action string:${context/portal_url}/personal_edit_form">
+        <input type="submit" 
+               class="standalone" 
+               value="Continue to Personal Data Page!"
+               name="submit" />
+      </form>
+    </metal:main>
+  </metal:body>
+</metal:html>