Index: WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 1171)
+++ WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 1172)
@@ -2,8 +2,20 @@
            info item/getStudentWorkflowInfo;"
            condition="context/isStudent">       
-<table class="registration" tal:condition="info|nothing">
+
+<table class="registration" tal:condition="python:info and info['review_state'] in ('application_pin_entered',
+                                                                                     'admission_applied',
+                                                                                     'pume_passed',
+                                                                                     'pume_failed',
+                                                                                     'admitted',
+                                                                                     'admission_rejected',
+                                                                                     'objection_raised',
+                                                                                     'clearance_pin_entered',
+                                                                                     'clearance_requested',
+                                                                                     'cleared_and_validated',
+                                                                                     'deferred',
+                                                                                     )">
   <span tal:condition="python:path('info/review_state')=='application_pin_entered'">
   <tr><td class="active">
-    <a href="" tal:attributes="href string:${info/url}/application_edit">
+    <a href="" tal:attributes="href string:${info/url}/application_edit_form">
     Admission started
     </a>
@@ -15,5 +27,4 @@
   </td></tr>
   </span>
-
   <span tal:condition="python:path('info/review_state')=='admission_applied'">
   <tr><td class="active">
@@ -28,6 +39,4 @@
   </td></tr>
   </span>
-
-
   <span tal:condition="python:path('info/review_state')=='pume_passed'">
   <tr><td class="active">PUME passed</td></tr>
@@ -39,5 +48,4 @@
   <tr><td>PUME passed</td></tr>
   </span>  
-
   <span tal:condition="python:path('info/review_state')=='admitted'">
   <tr>
@@ -61,5 +69,4 @@
   </tr>
   </span>  
-
   <span tal:condition="python:path('info/review_state')=='objection_raised'">
   <tr>
@@ -74,5 +81,4 @@
   <tr><td>Objection raised</td></tr>
   </span>  
-
   <span tal:condition="python:path('info/review_state')=='clearance_pin_entered'">
   <tr>
@@ -87,5 +93,4 @@
   <tr><td>Clearance started</td></tr>
   </span> 
-  
   <span tal:condition="python:path('info/review_state')=='clearance_requested'">
   <tr><td class="active">Clearance requested</td></tr>
@@ -94,5 +99,4 @@
   <tr><td>Clearance requested</td></tr>
   </span> 
-
   <span tal:condition="python:path('info/review_state')=='cleared_and_validated'">
   <tr><td class="active">Cleared</td></tr>
@@ -101,5 +105,4 @@
   <tr><td>Cleared</td></tr>
   </span> 
-  
   <span tal:condition="python:path('info/review_state')=='deferred'">
   <tr><td class="active">Admission deferred</td></tr>
@@ -108,6 +111,61 @@
   <tr><td>Admission deferred</td></tr>
   </span>   
+</table>
 
+<table class="registration" tal:condition="python:info and info['review_state'] in ('returning',
+                                                                                    'school_fee_pin_entered',
+                                                                                    'courses_registered',
+                                                                                    'courses_validated',
+                                                                                    )">
+  <span tal:condition="python:info['review_state']=='returning'">
+  <tr><td class="active">
+    <a href="" tal:attributes="href string:${info/url}/personal_edit_form">
+    Returning
+    </a>
+  </td></tr>
+  </span>
+  <span tal:condition="python:info['review_state']!='returning'">
+  <tr><td>
+    Returning
+  </td></tr>
+  </span>
+  <span tal:condition="python:info['review_state']=='school_fee_pin_entered'">
+  <tr><td class="active">
+    <a href="" tal:attributes="href string:${info/url}/student_view">
+    School fee paid
+    </a>
+  </td></tr>
+  </span>
+  <span tal:condition="python:info['review_state']!='school_fee_pin_entered'">
+  <tr><td>
+    School fee paid
+  </td></tr>
+  </span>  
+  <span tal:condition="python:info['review_state']=='courses_registered'">
+  <tr><td class="active">
+    <a href="" tal:attributes="href string:${info/url}/student_view">
+    Courses registered
+    </a>
+  </td></tr>
+  </span>
+  <span tal:condition="python:info['review_state']!='courses_registered'">
+  <tr><td>
+    Courses registered
+  </td></tr>
+  </span>    
+  <span tal:condition="python:info['review_state']=='courses_validated'">
+  <tr><td class="active">
+    <a href="" tal:attributes="href string:${info/url}/student_view">
+    Courses vaildated
+    </a>
+  </td></tr>
+  </span>
+  <span tal:condition="python:info['review_state']!='courses_validated'">
+  <tr><td>
+    Courses vaildated
+  </td></tr>
+  </span>     
 </table>
+
 </tal:block>
 