Index: /WAeUP_SRP/trunk/Widgets.py
===================================================================
--- /WAeUP_SRP/trunk/Widgets.py	(revision 1176)
+++ /WAeUP_SRP/trunk/Widgets.py	(revision 1177)
@@ -384,9 +384,11 @@
         value = datastructure[widget_id].upper()
         err = 0
+        record = datastructure[self.reference]
         if not valid:
             err = 'Invalid String'
+        elif not record:
+            err = 0
         else:
             #import pdb;pdb.set_trace()
-            record = datastructure[self.reference]
             found = False
             cvs = []
@@ -429,11 +431,13 @@
         if not valid:
             err = 'Invalid MatricNo %s.' % (value)
+            logger.info('"%s","invalid MatricNo"' % value)
         else:
             widget_id = self.getWidgetId()
             value = datastructure[widget_id].upper()
-            #s = getStudentByRegNo(self,value)
+            datastructure['student'] = None
             while not err:
                 res = returning(matric_no = value)
                 if len(res) < 1:
+                    logger.info('"%s","MatricNo not found."' % value)
                     err = 'No Student with MatricNo %s.' % (value)
                     continue
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml	(revision 1176)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml	(revision 1177)
@@ -38,6 +38,6 @@
   </property>
   <property name="reference">student</property>
-  <property name="display_width">10</property>
-  <property name="size_max">10</property>
+  <property name="display_width">20</property>
+  <property name="size_max">40</property>
  </widget>
  <widget name="jamb_reg_no" meta_type="JambRegNo Widget">
Index: /WAeUP_SRP/trunk/skins/waeup_student/display_session_results.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/display_session_results.py	(revision 1176)
+++ /WAeUP_SRP/trunk/skins/waeup_student/display_session_results.py	(revision 1177)
@@ -70,7 +70,9 @@
     if student_obj and hasattr(student_obj,'application'):
         registered = student_id
-    
+else:
+    registered = "no_student_object"
 return context.session_results_anon_view(student=student_rec,
                                            results=results,
+                                           name = "%(Firstname)s %(Middlename)s %(Lastname)s" % student_rec,
                                            registered = registered)
 
Index: /WAeUP_SRP/trunk/skins/waeup_student/layout_search_session_edit.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_search_session_edit.pt	(revision 1176)
+++ /WAeUP_SRP/trunk/skins/waeup_student/layout_search_session_edit.pt	(revision 1177)
@@ -10,4 +10,5 @@
   formaction options/formaction;
   matric_no options/matric_no|nothing;
+  name options/name|nothing;
   creation creation|nothing;
   cpsmcat nocall:here/translation_service;
@@ -18,4 +19,5 @@
         >
   
+<input type="hidden" name="name" tal:attributes="value name"/>
 <input type="hidden" name="matric_no" tal:attributes="value matric_no"/>
   <table class="layoutDefault" summary="Form layout"
Index: /WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt	(revision 1176)
+++ /WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt	(revision 1177)
@@ -53,12 +53,18 @@
       </table>
       <br />
-      <div tal:condition="registered">You have already set your Password, please 
-        <a href="" tal:attributes="href string:${context/portal_url}/login_student">login</a> 
-        with your UserId <span tal:replace="registered" />
+      <div tal:condition="registered">
+        <span tal:condition="python: registered == 'no_student_object'">
+          Your Datafiles have not yet been created, please check again later.
+        </span>
+        <span tal:condition="python: registered != 'no_student_object'">
+          You have already set your Password, please 
+          <a href="" tal:attributes="href string:${context/portal_url}/login_student">login</a> 
+          with your UserId <span tal:replace="registered" />
+        </span>
       </div>
       <form tal:condition="not: registered" action="" method="post"
             tal:attributes="action string:${context/portal_url}/set_access_data">
+        <input type="hidden" name="name" tal:attributes="value options/name" />
         <input type="hidden" name="matric_no" tal:attributes="value student/matric_no" />
-        <input type="hidden" name="jamb_reg_no" tal:attributes="value student/Entryregno" />
         <input type="submit" 
                class="standalone" 
Index: /WAeUP_SRP/trunk/skins/waeup_student/set_access_data.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/set_access_data.py	(revision 1176)
+++ /WAeUP_SRP/trunk/skins/waeup_student/set_access_data.py	(revision 1177)
@@ -5,8 +5,8 @@
 return html renderer + psm
 """
-import DateTime
+import DateTime,logging
 current = DateTime.DateTime()
 pr = context.portal_registration
-
+logger = logging.getLogger('Returning')
 validate = REQUEST.has_key("cpsdocument_edit_button")
 
@@ -14,4 +14,9 @@
 #pr = context.portal_registration
 default = {'matric_no':matric_no}
+st_res = context.students_catalog(matric_no = matric_no)
+if st_res:
+    sid = st_res[0].id
+else:
+    logger.info('"%s","Studentobject does not exist"' % matric_no)
 res,psm,ds = lt.renderLayout(layout_id= 'student_session_results_search',
                       schema_id= 'student_returning',
@@ -25,13 +30,5 @@
                       commit = False,
                       )
-if psm == 'invalid':
-    return context.set_access_data_form(rendered = res,
-                                 psm = "Please correct your input!",
-                                 #psm = "%s, %s" % (psm,ds),
-                                 firstlayout = True,
-                                 lastlayout = True,
-                                 ds = ds,
-                                 )
-elif psm == '':
+if psm == '':
     return context.set_access_data_form(rendered = res,
                                  psm = None,
@@ -39,23 +36,23 @@
                                  lastlayout = True,
                                  ds = ds,
+                                 name = "%(name)s" % REQUEST.form
                                  )
-elif psm == 'valid':
-    pass
-##    jamb_reg_no = ds.get('jamb_reg_no')
-##    r = context.returning_import(matric_no = matric_no)
-##    if r and r[0].Entryregno != jamb_reg_no or not r:
-##        psm = "Your Jamb Registration Nr is wrong"
-##        return context.set_access_data_form(rendered = res,
-##                                 psm = psm,
-##                                 firstlayout = True,
-##                                 lastlayout = True,
-##                                 ds = ds,
-##                                 )
-## from Products.zdb import set_trace;set_trace()
+elif psm == 'invalid':
+    psm = "Please correct your input!"
+elif psm == 'valid' and not REQUEST.form.has_key('acknowledge'):
+    psm = "You did not check the ackkowledge box !"
+else:
+    psm = ''
+if psm != '':
+    return context.set_access_data_form(rendered = res,
+                                 #psm = "%s, %s" % (psm,ds),
+                                 psm = psm,
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 name = "%(name)s" % REQUEST.form
+                                 )
 password = REQUEST.get('widget__password')
 email = ds.get('email')
-st_res = context.students_catalog(matric_no = matric_no)
-if st_res:
-    sid = st_res[0].id
 context.waeup_tool.makeStudentMember(sid,password=password)
 args = {}
Index: /WAeUP_SRP/trunk/skins/waeup_student/set_access_data_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/set_access_data_form.pt	(revision 1176)
+++ /WAeUP_SRP/trunk/skins/waeup_student/set_access_data_form.pt	(revision 1177)
@@ -13,4 +13,5 @@
       </metal:block>
       <metal:block fill-slot="main">
+        <h3><span tal:replace="options/name"/></h3>
         <h3>Enter Your Authentication Details and Choose a Password!</h3>
         <br />