Index: WAeUP_SRP/trunk/skins/waeup_student/display_session_results.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/display_session_results.py	(revision 1182)
+++ WAeUP_SRP/trunk/skins/waeup_student/display_session_results.py	(revision 1183)
@@ -41,10 +41,21 @@
 elif psm == 'valid':
     pass
+s_fields = context.returning_import.schema()
+student_rec = ds.get('student')
+student = {}
+for field in s_fields:
+    student[field] = getattr(student_rec,field)
 brains = ds.get('results')
 sem1 = []
 sem2 = []
 with_courses_cat = hasattr(context,'courses_catalog')
+
 fields = context.results_import.schema()
+verdict = None
+session = None
 for r in brains:
+    if verdict is None:
+        verdict = r.Verdict
+        session = r.Session
     result = {}
     for field in fields:
@@ -62,6 +73,7 @@
 #from Products.zdb import set_trace;set_trace()
 results = (sem1, sem2)
+student['verdict'] = verdict
+student['session'] = session
 registered = None
-student_rec = ds.get('student')
 res = context.students_catalog(matric_no = student_rec.matric_no)
 if res:
@@ -72,5 +84,5 @@
 else:
     registered = "no_student_object"
-return context.session_results_anon_view(student=student_rec,
+return context.session_results_anon_view(student=student,
                                            results=results,
                                            name = "%(Firstname)s %(Middlename)s %(Lastname)s" % student_rec,
Index: WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py	(revision 1182)
+++ WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py	(revision 1183)
@@ -60,5 +60,10 @@
 gpa = 0
 course_count = 0
+verdict = None
+session = None
 for r in results:
+    if verdict is None:
+        verdict = r.Verdict
+        session = r.Session
     result = {}
     for field in fields:
@@ -86,8 +91,9 @@
     else:
         sem1.append(result)
-
 if course_count:
     gpa = float(gpa) / course_count
     gpa = "%4.2f" % gpa
+info['verdict'] = verdict
+info['session'] = session
 info['gpa'] = gpa
 info['results'] = (sem1, sem2)
Index: WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 1182)
+++ WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 1183)
@@ -22,10 +22,10 @@
     return context.REQUEST.RESPONSE.redirect("%s/srp_invalid_access" % context.portal_url())
 
+mode = 'create'
+if not info['booking_allowed']:
+    return context.REQUEST.RESPONSE.redirect("%s/no_booking_allowed" % info['student'].absolute_url())
 student = info['student']
 acco_id = info['acco_id']
 session = acco_id[-4:]
-mode = 'create'
-if not info['booking_allowed']:
-    return context.REQUEST.RESPONSE.redirect("%s/no_booking_allowed" % info['student'].absolute_url())
 validate = REQUEST.has_key("cpsdocument_create_button")
 if info.has_key('acco') and info['acco']:
Index: WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt	(revision 1182)
+++ WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt	(revision 1183)
@@ -27,8 +27,9 @@
        <table>
           <tr>
-            <th width="150px">Verdict:</th><td tal:content="python:results[0][0]['Verdict']" /> 
+            <th width="150px">Verdict:</th>
+          <td tal:content="student/verdict" /> 
           </tr>
           <tr>  
-            <th>Session:</th><td tal:content="python:results[0][0]['Session']" /> 
+            <th>Session:</th><td tal:content="student/session" /> 
           </tr>        
        </table>
Index: WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt	(revision 1182)
+++ WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt	(revision 1183)
@@ -38,8 +38,8 @@
        <table>
           <tr>
-            <th valign="top" width="180px">Verdict:</th><td tal:content="python:info['results'][0][0]['Verdict']" /> 
+            <th width="180px">Verdict:</th><td tal:content="info/verdict" /> 
           </tr>
           <tr>  
-            <th>Session:</th><td tal:content="python:info['results'][0][0]['Session']" /> 
+            <th>Session:</th><td tal:content="info/session" /> 
           </tr>
           <tr>  
Index: WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt	(revision 1182)
+++ WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt	(revision 1183)
@@ -38,8 +38,8 @@
        <table>
           <tr>
-            <th valign="top" width="180px">Verdict:</th><td tal:content="python:info['results'][0][0]['Verdict']" /> 
+            <th width="180px">Verdict:</th><td tal:content="info/verdict" /> 
           </tr>
           <tr>  
-            <th>Session:</th><td tal:content="python:info['results'][0][0]['Session']" /> 
+            <th>Session:</th><td tal:content="info/session" /> 
           </tr>
           <tr>  