Index: WAeUP_SRP/trunk/skins/waeup_default/layout_search_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_search_edit.pt	(revision 1191)
+++ WAeUP_SRP/trunk/skins/waeup_default/layout_search_edit.pt	(revision 1192)
@@ -2,14 +2,5 @@
              tal:define="layout options/layout;
              ds options/datastructure;
-             creation creation|nothing;
-             metadata metadata|nothing;
-             type_name request/type_name|nothing;
-             ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
-             creation_form python:ti and ti.getActionById('create', 'cpsdocument_create_form') or 'cpsdocument_create_form' ;
-             edit_form     python:ti and ti.getActionById('edit',   'cpsdocument_edit_form') or  'cpsdocument_edit_form';
-             metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
              formaction options/formaction|string:.;
-             first_layout options/first_layout|python:0;
-             last_layout options/last_layout|python:0;
              is_flexible options/is_flexible;
              cpsmcat nocall:here/translation_service;
Index: WAeUP_SRP/trunk/skins/waeup_student/search_students.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/search_students.py	(revision 1191)
+++ WAeUP_SRP/trunk/skins/waeup_student/search_students.py	(revision 1192)
@@ -85,5 +85,5 @@
                       schema_id= 'student_search',
                       context=context,
-                      mapping=validate and request,
+                      mapping=validate and REQUEST,
                       ob=default,
                       layout_mode='edit',
Index: WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1191)
+++ WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1192)
@@ -28,96 +28,96 @@
             and <span tal:repeat="department info/departments|nothing" tal:content="department"/></span>.
           <br /><br />
-
         <span tal:replace="structure rendered" />
-        
-      <span tal:condition="students"
-        tal:define="items students;
-        columns python:3;
-        items_per_page python:40;
-        max_items python:300;
-        zoom python:0;
-        batches_all python:here.getBatchList(items,columns, items_per_page,zoom,max_items=400);
-        batches python:batches_all[0];
-        batch_info python:batches_all[1];
-        zoomed python:batches_all[2];
-        mq nocall:modules/ZTUtils/make_query;"
-        tal:omit-tag=""
-        >
-        <tal:block tal:condition="python: items and batch_info and batch_info['nb_pages'] > 1">
-          <div class="batchLayout">
-            <span i18n:translate="">
-              Objects: 
-              <strong>
-                <tal:block replace="batch_info/start"
-                           i18n:name="batch_start" /> - <tal:block replace="batch_info/limit"
-                                                                   i18n:name="batch_limit" />
-              </strong>
-              of <tal:block replace="batch_info/length"
-                            i18n:name="batch_length" />
-            </span>
-          </div>
-          <br />
-        </tal:block>
-        <table class="contentListing" width="100%">
-          <span tal:repeat="rows batches" tal:omit-tag="">
-            <span tal:repeat="student rows">
-              <tr tal:condition="student" 
-                  tal:attributes="class python:test(repeat['student'].even(), 'even ajaxtd', 'odd ajaxtd')">
-                <td><a href="id" tal:attributes="href string:${context/portal_url}/campus/students/${student/id}"
-                       tal:content="student/id"></a></td>    
-                <td>
-                  <span tal:replace="student/name" />
-                </td>    
-                <td><span tal:replace="student/matric_no" /></td>   
-                <td><span tal:replace="student/jamb_reg_no" /></td>
-                <td tal:condition="options/co_view|nothing">
-                       <a href="id" 
-                          tal:attributes="href string:${context/portal_url}/campus/students/${student/id}/clearance/external_clearance_edit_form"
-                          target="edit"
-                          onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')"
-                          >[view and change state]</a></td>
-                <td tal:condition="options/co_view|nothing"><span tal:replace="student/review_state|nothing" /></td>   
-              </tr>
-            </span>
+        <span tal:condition="students">
+          <span
+              tal:define="items students;
+              columns python:3;
+              items_per_page python:40;
+              max_items python:300;
+              zoom python:0;
+              batches_all python:here.getBatchList(items,columns, items_per_page,zoom,max_items=400);
+              batches python:batches_all[0];
+              batch_info python:batches_all[1];
+              zoomed python:batches_all[2];
+              mq nocall:modules/ZTUtils/make_query;"
+              tal:omit-tag=""
+              >
+            <tal:block tal:condition="python: items and batch_info and batch_info['nb_pages'] > 1">
+              <div class="batchLayout">
+                <span i18n:translate="">
+                  Objects: 
+                  <strong>
+                    <tal:block replace="batch_info/start"
+                               i18n:name="batch_start" /> - <tal:block replace="batch_info/limit"
+                                                                       i18n:name="batch_limit" />
+                  </strong>
+                  of <tal:block replace="batch_info/length"
+                                i18n:name="batch_length" />
+                </span>
+              </div>
+              <br />
+            </tal:block>
+            <table class="contentListing" width="100%">
+              <span tal:repeat="rows batches" tal:omit-tag="">
+                <span tal:repeat="student rows">
+                  <tr tal:condition="student" 
+                      tal:attributes="class python:test(repeat['student'].even(), 'even ajaxtd', 'odd ajaxtd')">
+                    <td><a href="id" tal:attributes="href string:${context/portal_url}/campus/students/${student/id}"
+                           tal:content="student/id"></a></td>    
+                    <td>
+                      <span tal:replace="student/name" />
+                    </td>    
+                    <td><span tal:replace="student/matric_no" /></td>   
+                    <td><span tal:replace="student/jamb_reg_no" /></td>
+                    <td tal:condition="options/co_view|nothing">
+                      <a href="id" 
+                         tal:attributes="href string:${context/portal_url}/campus/students/${student/id}/clearance/external_clearance_edit_form"
+                         target="edit"
+                         onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')"
+                         >[view and change state]</a></td>
+                    <td tal:condition="options/co_view|nothing"><span tal:replace="student/review_state|nothing" /></td>   
+                  </tr>
+                </span>
+              </span>
+            </table>
+            <tal:block condition="python:batch_info and batch_info['nb_pages'] > 1">
+              <div class="pageNavigationLayout">
+                <a tal:define="previous batch_info/previous"
+                   tal:condition="python:previous is not None"
+                   tal:attributes="href python:'%s?%s'%(request['URL'],
+                   mq(request.form, b_start=0))"
+                   >
+                (&lt;&lt;)</a>
+                <a tal:define="previous batch_info/previous"
+                   tal:condition="python:previous is not None"
+                   tal:attributes="href python:'%s?%s'%(request['URL'],
+                   mq(request.form, b_start=previous))"
+                   i18n:translate="batch_previous">Previous</a>
+                <tal:block repeat="page batch_info/pages">
+                  <tal:block condition="python:page != batch_info['start'] - 1">
+                    <a tal:attributes="href python:'%s?%s'%(request['URL'],
+                    mq(request.form, b_start=page))"
+                    tal:content="repeat/page/number">1</a>&nbsp;
+                  </tal:block>
+                  <tal:block condition="python:page == batch_info['start'] - 1">
+                    <span tal:content="string:${repeat/page/number}" />&nbsp;
+                  </tal:block>
+                </tal:block>
+                <a tal:define="next batch_info/next"
+                   tal:condition="python:next is not None"
+                   tal:attributes="href python:'%s?%s'%(request['URL'],
+                   mq(request.form, b_start=next))"
+                   i18n:translate="batch_next">Next</a>
+                <a tal:define="next batch_info/next;
+                last_page python:batch_info['pages'][-1]"
+                tal:condition="python:next is not None"
+                tal:attributes="href python:'%s?%s'%(request['URL'],
+                mq(request.form, b_start=last_page))"
+                >
+                (&gt;&gt;)</a>
+              </div>
+            </tal:block>
           </span>
-        </table>
-        <tal:block condition="python:batch_info and batch_info['nb_pages'] > 1">
-          <div class="pageNavigationLayout">
-            <a tal:define="previous batch_info/previous"
-               tal:condition="python:previous is not None"
-               tal:attributes="href python:'%s?%s'%(request['URL'],
-               mq(request.form, b_start=0))"
-               >
-            (&lt;&lt;)</a>
-            <a tal:define="previous batch_info/previous"
-               tal:condition="python:previous is not None"
-               tal:attributes="href python:'%s?%s'%(request['URL'],
-               mq(request.form, b_start=previous))"
-               i18n:translate="batch_previous">Previous</a>
-            <tal:block repeat="page batch_info/pages">
-              <tal:block condition="python:page != batch_info['start'] - 1">
-                <a tal:attributes="href python:'%s?%s'%(request['URL'],
-                mq(request.form, b_start=page))"
-                tal:content="repeat/page/number">1</a>&nbsp;
-              </tal:block>
-              <tal:block condition="python:page == batch_info['start'] - 1">
-                <span tal:content="string:${repeat/page/number}" />&nbsp;
-              </tal:block>
-            </tal:block>
-            <a tal:define="next batch_info/next"
-               tal:condition="python:next is not None"
-               tal:attributes="href python:'%s?%s'%(request['URL'],
-               mq(request.form, b_start=next))"
-               i18n:translate="batch_next">Next</a>
-            <a tal:define="next batch_info/next;
-            last_page python:batch_info['pages'][-1]"
-            tal:condition="python:next is not None"
-            tal:attributes="href python:'%s?%s'%(request['URL'],
-            mq(request.form, b_start=last_page))"
-            >
-            (&gt;&gt;)</a>
-          </div>
-        </tal:block>
-      </span>
+        </span>
       </span>
     </metal:main>