Index: WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml	(revision 1216)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml	(revision 1217)
@@ -12,4 +12,5 @@
    <element value="email"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Email</property>
   <property name="label_edit">Email</property>
@@ -19,25 +20,4 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="secret" meta_type="Secret Widget">
-  <property name="title">Secret Widget</property>
-  <property name="fields">
-   <element value="secret"/>
-  </property>
-  <property name="label">Firstname, Middlename or Lastname</property>
-  <property name="label_edit">Enter either your  Firstname, Middlename or Lastname</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="check_fields">
-   <element value="Firstname"/>
-   <element value="Middlename"/>
-   <element value="Lastname"/>
-  </property>
-  <property name="reference">student</property>
-  <property name="display_width">20</property>
-  <property name="size_max">40</property>
  </widget>
  <widget name="jamb_reg_no" meta_type="JambRegNo Widget">
@@ -53,23 +33,8 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">10</property>
+  <property name="size_max">10</property>
   <property name="catalog">returning_import</property>
   <property name="reference">student</property>
-  <property name="display_width">10</property>
-  <property name="size_max">10</property>
- </widget>
- <widget name="phone_nr" meta_type="String Widget">
-  <property name="title">Phone Number</property>
-  <property name="fields">
-   <element value="phone_nr"/>
-  </property>
-  <property name="label">Phone Number</property>
-  <property name="label_edit">Phone Number</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">15</property>
-  <property name="size_max">15</property>
  </widget>
  <widget name="matric_no" meta_type="MatricNo Widget">
@@ -96,6 +61,4 @@
   <property name="label">Choose a Password</property>
   <property name="label_edit">Choose a Password</property>
-  <property name="check_digit">True</property>
-  <property name="password_widget"></property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -103,4 +66,22 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
+  <property name="check_digit">True</property>
+ </widget>
+ <widget name="phone_nr" meta_type="String Widget">
+  <property name="title">Phone Number</property>
+  <property name="fields">
+   <element value="phone_nr"/>
+  </property>
+  <property name="label">Phone Number</property>
+  <property name="label_edit">Phone Number</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
  </widget>
  <widget name="repeat_password" meta_type="Password Widget">
@@ -109,34 +90,52 @@
    <element value="repeat_password"/>
   </property>
-  <property name="is_required">False</property>
   <property name="label">Verify the Password</property>
   <property name="label_edit">Verify the Password</property>
   <property name="readonly_layout_modes"/>
-  <property name="password_widget">password</property>
   <property name="hidden_layout_modes">
    <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
+  <property name="password_widget">password</property>
   <property name="size_min">0</property>
+ </widget>
+ <widget name="secret" meta_type="Secret Widget">
+  <property name="title">Secret Widget</property>
+  <property name="fields">
+   <element value="secret"/>
+  </property>
+  <property name="label">Firstname, Middlename or Lastname</property>
+  <property
+     name="label_edit">Enter either your  Firstname, Middlename or Lastname</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">20</property>
+  <property name="size_max">40</property>
  </widget>
  <table>
   <row>
-   <cell name="matric_no" />
+   <cell name="matric_no"/>
   </row>
   <row>
-   <cell name="secret" />
+   <cell name="secret"/>
   </row>
   <row>
-   <cell name="email" />
+   <cell name="email"/>
   </row>
   <row>
-   <cell name="phone_nr" />
+   <cell name="phone_nr"/>
   </row>
   <row>
-   <cell name="password" />
+   <cell name="password"/>
   </row>
   <row>
-   <cell name="repeat_password" />
+   <cell name="repeat_password"/>
   </row>
  </table>
 </object>
+
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 1216)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 1217)
@@ -49,5 +49,5 @@
                   )
 required_scans = ('fst_sit_scan',
-                  'jamb_slip',
+#                 'jamb_slip',
                   'ref_let',
                   'acc_let'