Index: WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 1219)
+++ WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 1220)
@@ -1,14 +1,10 @@
-<metal:html tal:define="member python:context.portal_membership.getAuthenticatedMember();
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="member python:context.portal_membership.getAuthenticatedMember();
                         info context/getApplicationInfo;
                         ">
-  <span tal:condition="not: info">
-    <span tal:content="here/illegal_view" />
-  </span>
-<metal:block tal:condition="info">                         
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
       <span tal:condition="not: info">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
-      </span>
+        <span tal:content="here/illegal_view" />
+      </span>                        
     
       <span tal:condition="info">
@@ -76,5 +72,3 @@
       </span>
     </metal:main>
-  </metal:body>
-</metal:block>      
-</metal:html>
+</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py	(revision 1220)
+++ WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py	(revision 1220)
@@ -0,0 +1,47 @@
+## Script (Python) "getMemberInfo"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+# $Id: getApplicationInfo.py 1161 2006-12-31 07:50:50Z henrik $
+"""
+return Info about the current Student
+"""
+import logging
+logger = logging.getLogger('Student.Member.Info')
+
+request = context.REQUEST
+mtool = context.portal_membership
+wf = context.portal_workflow
+member = mtool.getAuthenticatedMember()
+member_id = str(member)
+path_info = request.get('PATH_INFO').split('/')
+##from Products.zdb import set_trace
+##set_trace()
+if mtool.isAnonymousUser():
+    return None
+info = {}
+requested_id = context.getStudentId()
+if requested_id and not context.isStaff() and member_id != requested_id:
+    logger.info('"%s", "accessed personal object of", "%s"' % (member_id,requested_id))
+    student_id = requested_id
+elif context.isStaff():
+    student_id = requested_id
+else:
+    student_id = member_id
+
+
+students_object = context.portal_url.getPortalObject().campus.students
+student = getattr(students_object, student_id)
+info['student'] = student
+info['id'] = student_id
+info['review_state'] = wf.getInfoFor(student,'review_state',None)
+info['per'] = student.personal
+info['app'] = student.application
+info['per_doc'] = student.personal.getContent()
+info['app_doc'] = student.personal.getContent()
+return info
Index: WAeUP_SRP/trunk/skins/waeup_student/mail_password_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/mail_password_form.pt	(revision 1220)
+++ WAeUP_SRP/trunk/skins/waeup_student/mail_password_form.pt	(revision 1220)
@@ -0,0 +1,75 @@
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="member python:context.portal_membership.getAuthenticatedMember();
+                        info context/getMemberInfo;
+                        ">
+      <span tal:condition="not: info">
+        <span tal:content="here/illegal_view" />
+      </span>                        
+    
+      <span tal:condition="info">
+      <h3>Contact Student</h3>
+      <br />
+      <span tal:condition="not:info/per_doc/email"> 
+      Sorry, the student did not provide an email address.
+      </span>
+      <span tal:condition="info/per_doc/email">
+      <form id="form1" name="form1" method="post" action="mail2student">
+
+      <input type="hidden" name="co_name" type="text" id="co_name"
+             tal:attributes="value python:member.getProperty('fullname',None)"/>
+      <input type="hidden" name="co_email" type="text" id="co_email"
+             tal:attributes="value python:member.getProperty('email',None)"/>             
+      <input type="hidden" name="student_email" type="text" id="student_email"
+             tal:attributes="value info/per_doc/email"/>                   
+
+      <table width="100%" border="0" cellspacing="5" cellpadding="0">
+        <tr>
+          <td width="150px">
+             <strong>Student's Name: </strong>
+          </td>
+          <td>
+             <span tal:content="info/student/Title" />
+          </td>
+        </tr>
+        <tr>
+          <td>
+             <strong>Student's Email: </strong>
+          </td>
+          <td>
+             <span tal:content="info/per_doc/email" />
+          </td>
+        </tr>
+        <tr>
+          <td>
+             <strong>Type of Rejection: </strong>
+          </td>
+          <td>
+              <select name="probtype" class="boxgreen" id="probtype">
+                <option>Your SRP Member Record</option>
+              </select>        
+          </td>
+        </tr>        
+        <tr>
+          <td valign="top">
+             <strong>Your Message:</strong>
+          </td>
+          <td>
+             <textarea name="commt" rows="10" cols="60" id="commt" tal:content="info/student/Title">
+             </textarea>
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td><input name="Submit" type="submit" class="standalone" value="Submit" /><br /><br /></td>
+        </tr>
+      </table>
+      </form>
+      </span>
+      <form action="." method="post" class="group">
+            <input type="submit" name="external_clearance_edit_form:method"
+                       class="context" value="Continue" />
+      </form>      
+      </span>
+    </metal:main>
+</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_student/student_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 1219)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 1220)
@@ -40,5 +40,5 @@
             </td>
           </tr>
-          <tr tal:condition="python:info['member'].id in ('admin','joachim','kehindesamueal','med',)">
+          <tr tal:condition="python:info['member'].id in ('admin','joachim','kehindesamuel','med',)">
             <td colspan="3">      
               <a href="" 