Index: /WAeUP_SRP/trunk/exportimport.py
===================================================================
--- /WAeUP_SRP/trunk/exportimport.py	(revision 1220)
+++ /WAeUP_SRP/trunk/exportimport.py	(revision 1221)
@@ -85,9 +85,11 @@
             students.manage_setLocalGroupRoles(groupid = 'ClearanceOfficers',
                                               roles=('SectionReader',))
+            students.manage_setLocalGroupRoles(groupid='MemberAdmins',
+                                         roles=('SectionOfficer',))                                         
             students.manage_setLocalGroupRoles(groupid = 'role:Student',
                                               roles=('SectionReader',))
         if accommodation is not None:
             accommodation.manage_setLocalGroupRoles(groupid='role:Student',
-                                         roles=('SectionReader',))                                              
+                                         roles=('SectionReader',))
     members = getattr(site.portal_directories,'members')
     if members is not None:
Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1220)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1221)
@@ -13,6 +13,5 @@
   </action>
   <action title="Staff Login" action_id="login_staff" category="student"
-     condition_expr="not: member"
-     url_expr="string:${portal_url}/login_staff"
+     condition_expr="not: member" url_expr="string:${portal_url}/login_staff"
      visible="True">
    <permission>View</permission>
@@ -37,6 +36,5 @@
   </action>
   <action title="Student Login" action_id="login_student" category="student"
-     condition_expr="not:member"
-     url_expr="string:${portal_url}/login_student"
+     condition_expr="not:member" url_expr="string:${portal_url}/login_student"
      visible="True">
    <permission>View</permission>
@@ -93,15 +91,17 @@
   </action>
   <action title="Directories" action_id="directories" category="global"
-     condition_expr="here/isSectionManager"
+     condition_expr="python:portal.portal_directories.isSectionOfficer()"
      url_expr="string:${portal_url}/cpsdirectory_view" visible="True">
-   <permission>Modify portal content</permission>
+   <permission>View</permission>
   </action>
   <action title="Portal Members" action_id="members" category="global"
-     condition_expr="member"
-     url_expr="string:${portal_url}/search_members_form" visible="True">
-   <permission>Modify portal content</permission>
+     condition_expr="python:portal.portal_directories.members.isSectionOfficer()"
+     url_expr="string:${portal_url}/search_members_form"
+     visible="True">
+   <permission>View</permission>
   </action>
   <action title="Home" action_id="home" category="navigation"
-     condition_expr="member" url_expr="string:${portal_url}/campus" visible="True">
+     condition_expr="member" url_expr="string:${portal_url}/campus"
+     visible="True">
    <permission>View</permission>
   </action>
@@ -117,5 +117,5 @@
   </action>
   <action title="Students" action_id="view_students" category="navigation"
-     condition_expr="member"
+     condition_expr="python:portal.campus.students.isStaff()"
      url_expr="string:${portal_url}/campus/students" visible="True">
    <permission>View</permission>
@@ -131,7 +131,7 @@
    <permission>View</permission>
   </action>
-  <action title="Enquiries" action_id="support_anon" category="student_navigation"
-     condition_expr="not:member" url_expr="string:${portal_url}/contact_admin_form"
-     visible="True">
+  <action title="Enquiries" action_id="support_anon"
+     category="student_navigation" condition_expr="not:member"
+     url_expr="string:${portal_url}/contact_admin_form" visible="True">
    <permission>View</permission>
   </action>
Index: /WAeUP_SRP/trunk/profiles/default/rolemap.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 1220)
+++ /WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 1221)
@@ -43,4 +43,8 @@
       <role name="SectionOfficer"/>
     </permission>
+    <permission name="Add portal members" acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+    </permission>    
     <permission name="Review portal content" acquire="True">
       <role name="Owner"/>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 1220)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 1221)
@@ -43,5 +43,5 @@
  <action title="Delegate" action_id="localroles" category="object"
     condition_expr="here/isSectionOfficer" url_expr="string:${object_url}/folder_localrole_form"
-    visible="True">
+    visible="False">
   <permission value="Modify portal content"/>
  </action>
Index: /WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py	(revision 1220)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py	(revision 1221)
@@ -45,3 +45,4 @@
 info['per_doc'] = student.personal.getContent()
 info['app_doc'] = student.personal.getContent()
+#info['password'] = member.getPassword()
 return info